### Class

# Foundry PathCache

#### Description [src]

    final class Foundry.PathCache : GObject.Object
    {
      /* No available fields */
    }

Thread-safe cache for path lookups

`FoundryPathCache` can be used to cache path lookup entries as often needed by runtimes.

This object is thread-safe and may be accessed from multiple threads simultaneously.

#### Ancestors

- GObject

#### Constructors

###### foundry_path_cache_new

No description available.

#### Instance methods

###### foundry_path_cache_contains

This function helps for detecting negative cache entries without copying the program_path string.

###### foundry_path_cache_insert

Inserts a cache entry for `program_name` for `program_path`.

###### foundry_path_cache_lookup

`TRUE` is returned when an entry is found in the cache. That entry may be `NULL` indicating a negative cache entry.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryPathCacheClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.